import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

/**
 * @author Johno Crawford (johno@sulake.com)
 */
public class Main {

    public static void main(String[] args) {
        ApplicationContext context = new ClassPathXmlApplicationContext("applicationContext.xml");
        TestDao testDao = context.getBean("testDao", TestDao.class);
        testDao.insert("/tmp/in.sql");
    }
}
